const path = require('path');
const PocketBase = require('./db.cjs');
const logger = require('../utils/logger');

const db = new PocketBase(process.env.DB_URL);

// Connexion à la base de données
async function connect() {
  try {
    await db.admins.authViaEmail(process.env.DB_ADMIN, process.env.DB_PASSWORD);
    logger.log('info', 'Connexion à la base de données réussie !');
    return db;
  } catch (error) {
    logger.log('error', "Erreur lors de la connexion à la base de données", error);
    process.exit(1);
  }
}

module.exports = {
  connect,
  db
};